import { Button, Input, Space } from 'antd';
import { SearchOutlined, PlusOutlined } from '@ant-design/icons';
import React from 'react';

interface SearchBarProps {
    searchText: string;
    onSearchTextChange: (text: string) => void;
    onSearch: () => void;
    onAdd: () => void;
}

export const SearchBar: React.FC<SearchBarProps> = ({
    searchText,
    onSearchTextChange,
    onSearch,
    onAdd,
}) => {
    return (
        <div className="mb-4 flex justify-between">
            <Space>
                <Input
                    placeholder="搜索员工姓名或用户名"
                    value={searchText}
                    onChange={(e) => onSearchTextChange(e.target.value)}
                    onPressEnter={onSearch}
                    prefix={<SearchOutlined />}
                />
                <Button type="primary" onClick={onSearch}>搜索</Button>
            </Space>
            <Button type="primary" icon={<PlusOutlined />} onClick={onAdd}>
                添加员工
            </Button>
        </div>
    );
};